function getAddonVersion() {
    
    const MY_EXTENSION_ID = "{9ef1e09b-d4b2-4a55-ac3e-1cb330546bec}";

    var versionElement = document.getElementById("aboutmidversion");
    var versionDbElement = document.getElementById("aboutmiddbversion");

    if (!versionElement && !!versionDbElement) return; 

    var dbversion = window.arguments[0];

    try {
        Components.utils.import("resource://gre/modules/AddonManager.jsm");
        
        AddonManager.getAddonByID(MY_EXTENSION_ID, function(addon) {
            var v = versionElement.value;
            v = v  +  addon.version;
            versionElement.value = v;
        });
    }
    catch (ex) {
        // Firefox 3.6 and before; Mozilla 1.9.2 and before
        var em = Components.classes["@mozilla.org/extensions/manager;1"]
                 .getService(Components.interfaces.nsIExtensionManager);
        var addon = em.getItemForID(MY_EXTENSION_ID);
        var v = versionElement.value;
        v = v  +  addon.version;
        versionElement.value = v;
    }

   versionDbElement.value = versionDbElement.value + dbversion ; 
}
